CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CommandMessenger.ListQueue< T > Class Template Reference

Queue class. More...

List of all members.

## Public Member Functions
void | EnqueueFront (T item)
| Adds item to front of queue.
void | Enqueue (T item)
| Adds item to back of queue.
T | Dequeue ()
| fetches item from front of queue.
T | Peek ()
| look at item at front of queue without removing it from the queue.

## Detailed Description

### template<T>
class CommandMessenger::ListQueue< T >

Queue class.

Template Parameters:

  T | Type of object to queue.

## Member Function Documentation

template<T >

T CommandMessenger.ListQueue< T >.Dequeue | ( |  | ) |

fetches item from front of queue.

Returns:
  The item to dequeue.

template<T >

void CommandMessenger.ListQueue< T >.Enqueue | ( | T | item | ) |

Adds item to back of queue.

Parameters:

  item | The item to queue.

template<T >

void CommandMessenger.ListQueue< T >.EnqueueFront | ( | T | item | ) |

Adds item to front of queue.

Parameters:

  item | The item to queue.

template<T >

T CommandMessenger.ListQueue< T >.Peek | ( |  | ) |

look at item at front of queue without removing it from the queue.

Returns:
  The item to peek at.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Queue/ListQueue.cs